package jp.co.nri.rid.search;

/** リソースを表すクラス */
class SPResource {
    /** SCCS ID */
    private static final String SCCSID = "@(#)SPResource.java";

    /** RCS ID */
    private static final String RCSID =
	"$Id: SPResource.java,v 1.1 2002-10-01 17:55:52+09 nsmr Exp $";

    /** 表示する文字列 */
    public String displayStr;

    /** tooltip に利用する文字列 */
    public String toolTip;

    /**
     * コンストラクタ
     * @param displayStr 表示する文字列
     * @param toolTip tooltip に利用する文字列
     */
    SPResource(Object displayStr, Object toolTip) {
	try {
	    this.displayStr = (String)displayStr;
	} catch (ClassCastException e) {
	    e.printStackTrace();
	    this.displayStr = null;
	}
	try {
	    this.toolTip = (String)toolTip;
	} catch (ClassCastException e) {
	    e.printStackTrace();
	    this.toolTip = null;
	}
    }
} /* class SPResource */
